Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.datamodel
Interface MiscFeature

All Superinterfaces:
  java.lang.Cloneable, java.lang.Comparable, Feature, Locatable, Persistent, java.io.Serializable

public interface MiscFeature
extends Feature

MiscFeatures are extremely general features with a location and an arbitrary group of attributes. They are grouped with other features of the same 'type' through the use of MiscSets. Attributes are attached in the fom of Attribute objects. See MiscFeatureAdaptor for ways to fetch MiscFeatures.

Author:
  Craig Melsopp
See Also:
  `MiscFeatureAdaptor`, `Attribute`, `MiscSet`

Method Summary
`void` | `add(Attribute attribute)` Adds attribute.
`void` | `add(MiscSet miscSet)` Adds MiscSet.
`java.util.List` | `getAttributes()` Attributes associatted with this feature.
`java.util.List` | `getAttributes(java.lang.String code)` Get attributes with the specified code
`java.util.List` | `getMiscSets()` MiscSets associated with this feature.

Methods inherited from interface org.ensembl.datamodel.Feature
`getAnalysis, getAnalysisID, getDescription, getDisplayName, setAnalysis, setAnalysisID, setDescription, setDisplayName`

Methods inherited from interface org.ensembl.datamodel.Locatable
`getLocation, getSequence, setCoordinateSystem, setLocation, setSequence`

Methods inherited from interface org.ensembl.datamodel.Persistent
`getDriver, getInternalID, sameInternalID, setDriver, setInternalID`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getAttributes

    public java.util.List getAttributes()

  Attributes associatted with this feature.

  Returns:
    attributes associatted with this feature, empty list if non exist

### getAttributes

    public java.util.List getAttributes(java.lang.String code)

  Get attributes with the specified code

  Parameters:
    `code` - code to filter attributes against
  Returns:
    zero or more attributes.

### add

    public void add(Attribute attribute)

  Adds attribute.

  Parameters:
    `attribute` -

### getMiscSets

    public java.util.List getMiscSets()

  MiscSets associated with this feature.

  Returns:
    MiscSets associated with this feature, or empty list if non available.

### add

    public void add(MiscSet miscSet)

  Adds MiscSet.

  Parameters:
    `miscSet` - a MiscSet this feature belongs to.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD